#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    int q,n;
    vector<long long> b(11,0);
    cin>>n>>q;
    for(int i=0;i<n;i++)
    {
        int p;
        cin>>p;
        b[p]++;
    }
    int granica=n/2+1;
    while(q--)
    {
        int broj;
        cin>>broj;
        long long pre=0,posle=0;
        for(int i=1;i<broj;i++)
        pre+=b[i];
        for(int i=broj+1;i<=10;i++)
        posle+=b[i];
        if((granica>pre)&&(granica<=n-posle))
            cout<<0<<"\n";
        else
        {

                cout<<abs(pre*2-n)<<"\n";

        }

    }
    return 0;
}